list all plan versions
curl --request POST \
--url https://api.unprice.dev/v1/plans/versions/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"onlyPublished": true,
"onlyEnterprisePlan": false,
"onlyLatest": true,
"planVersionIds": [
"pv_123"
],
"billingInterval": "month",
"currency": "USD"
}
'{
"planVersions": [
{
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"planId": "<string>",
"description": "<string>",
"latest": true,
"title": "<string>",
"tags": [
"<string>"
],
"active": true,
"publishedAt": 123,
"publishedBy": "<string>",
"archived": true,
"archivedAt": 123,
"archivedBy": "<string>",
"billingConfig": {
"name": "<string>",
"billingIntervalCount": 30,
"billingAnchor": 16
},
"gracePeriod": 123,
"trialUnits": 123,
"autoRenew": true,
"metadata": {
"externalId": "<string>"
},
"paymentMethodRequired": true,
"version": 123,
"plan": {
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"slug": "<string>",
"title": "<string>",
"active": true,
"description": "<string>",
"metadata": {
"externalId": "<string>"
},
"defaultPlan": true,
"enterprisePlan": true
},
"planFeatures": [
{
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"planVersionId": "<string>",
"featureId": "<string>",
"unitOfMeasure": "<string>",
"config": {
"price": {
"dinero": {
"amount": 123,
"currency": {
"code": "<string>",
"base": 123,
"exponent": 123
},
"scale": 123
},
"displayAmount": "<string>"
},
"tiers": [
{
"unitPrice": {
"dinero": {
"amount": 123,
"currency": {
"code": "<string>",
"base": 123,
"exponent": 123
},
"scale": 123
},
"displayAmount": "<string>"
},
"flatPrice": {
"dinero": {
"amount": 123,
"currency": {
"code": "<string>",
"base": 123,
"exponent": 123
},
"scale": 123
},
"displayAmount": "<string>"
},
"firstUnit": 2,
"lastUnit": 2,
"label": "<string>"
}
],
"units": 2
},
"billingConfig": {
"name": "<string>",
"billingIntervalCount": 30,
"billingAnchor": 16
},
"metadata": {
"realtime": false,
"notifyUsageThreshold": 95,
"overageStrategy": "none",
"blockCustomer": false,
"hidden": false
},
"order": 123,
"displayFeatureText": "<string>",
"feature": {
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"slug": "<string>",
"code": 123,
"unitOfMeasure": "<string>",
"title": "<string>",
"description": "<string>",
"meterConfig": {
"eventId": "<string>",
"eventSlug": "<string>",
"aggregationField": "<string>",
"filters": {},
"groupBy": [
"<string>"
]
}
},
"resetConfig": {
"name": "<string>",
"resetIntervalCount": 30,
"resetAnchor": 16
},
"defaultQuantity": 1,
"limit": 123,
"meterConfig": {
"eventId": "<string>",
"eventSlug": "<string>",
"aggregationField": "<string>",
"filters": {},
"groupBy": [
"<string>"
]
}
}
],
"flatPrice": "<string>"
}
]
}plans
list all plan versions
List all plan versions for a project
POST
/
v1
/
plans
/
versions
/
list
list all plan versions
curl --request POST \
--url https://api.unprice.dev/v1/plans/versions/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"onlyPublished": true,
"onlyEnterprisePlan": false,
"onlyLatest": true,
"planVersionIds": [
"pv_123"
],
"billingInterval": "month",
"currency": "USD"
}
'{
"planVersions": [
{
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"planId": "<string>",
"description": "<string>",
"latest": true,
"title": "<string>",
"tags": [
"<string>"
],
"active": true,
"publishedAt": 123,
"publishedBy": "<string>",
"archived": true,
"archivedAt": 123,
"archivedBy": "<string>",
"billingConfig": {
"name": "<string>",
"billingIntervalCount": 30,
"billingAnchor": 16
},
"gracePeriod": 123,
"trialUnits": 123,
"autoRenew": true,
"metadata": {
"externalId": "<string>"
},
"paymentMethodRequired": true,
"version": 123,
"plan": {
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"slug": "<string>",
"title": "<string>",
"active": true,
"description": "<string>",
"metadata": {
"externalId": "<string>"
},
"defaultPlan": true,
"enterprisePlan": true
},
"planFeatures": [
{
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"planVersionId": "<string>",
"featureId": "<string>",
"unitOfMeasure": "<string>",
"config": {
"price": {
"dinero": {
"amount": 123,
"currency": {
"code": "<string>",
"base": 123,
"exponent": 123
},
"scale": 123
},
"displayAmount": "<string>"
},
"tiers": [
{
"unitPrice": {
"dinero": {
"amount": 123,
"currency": {
"code": "<string>",
"base": 123,
"exponent": 123
},
"scale": 123
},
"displayAmount": "<string>"
},
"flatPrice": {
"dinero": {
"amount": 123,
"currency": {
"code": "<string>",
"base": 123,
"exponent": 123
},
"scale": 123
},
"displayAmount": "<string>"
},
"firstUnit": 2,
"lastUnit": 2,
"label": "<string>"
}
],
"units": 2
},
"billingConfig": {
"name": "<string>",
"billingIntervalCount": 30,
"billingAnchor": 16
},
"metadata": {
"realtime": false,
"notifyUsageThreshold": 95,
"overageStrategy": "none",
"blockCustomer": false,
"hidden": false
},
"order": 123,
"displayFeatureText": "<string>",
"feature": {
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"slug": "<string>",
"code": 123,
"unitOfMeasure": "<string>",
"title": "<string>",
"description": "<string>",
"meterConfig": {
"eventId": "<string>",
"eventSlug": "<string>",
"aggregationField": "<string>",
"filters": {},
"groupBy": [
"<string>"
]
}
},
"resetConfig": {
"name": "<string>",
"resetIntervalCount": 30,
"resetAnchor": 16
},
"defaultQuantity": 1,
"limit": 123,
"meterConfig": {
"eventId": "<string>",
"eventSlug": "<string>",
"aggregationField": "<string>",
"filters": {},
"groupBy": [
"<string>"
]
}
}
],
"flatPrice": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Body of the request
Query parameters for filtering and listing plan versions
Whether to include published plan versions
Example:
true
Whether to include enterprise plan versions
Example:
false
Whether to include the latest plan version
Example:
true
Filter by plan version IDs
Example:
["pv_123"]The billing interval to filter the plan versions
Available options:
month, year, week, day, minute, onetime Example:
"month"
The currency to filter the plan versions
Available options:
USD, EUR Example:
"USD"
Response
The result of the list plan versions
Show child attributes
Show child attributes
⌘I

